<div class="addquestionWrap">
  <div class="bredcum">
    <div class="menuTab pull-left">
      <ul>
        <li>
          <p  [ngClass]="{'active':router['url'] === '/mainDashBoard'}" class="completed">Start</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p  [ngClass]="{'active':router['url'] === '/mainDashBoard'}" class="completed">Design</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p [ngClass]="{'active':isActiveRouteHighlight}" class="completed">Assign</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p>Share</p>
        </li>
      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean download">
        Import from question bank
      </button>
    </div>
  </div>
  <div class="titleCont">
    <h4 class="black">New Assignment - Questionnaire================= {{finalQuestionsArr.length}}</h4>
  </div>
  <div class="contentCont">
    <div class="qCont">
      <div class="headingBar">
        <div class="col-sm-6 MP0">

          <h4>{{assignmentSavedDetails.assignmentName}} for {{assignmentSavedDetails.className}} </h4>
          <div class="tag">
            <ul>
              <li>
                <p>{{assignmentSavedDetails.className}}</p>
              </li>
              <li>
                <p>{{assignmentSavedDetails.subjectName}}</p>
              </li>
              <li>
                <p>{{assignmentSavedDetails.semisterName}}</p>
              </li>
            </ul>
          </div>
        </div>
        <div class="col-sm-6 MP0 text-right">
          <div class="tag1">
            <ul>
              <li class="max"  (click)="fnCollapseAll()">
                <p>Collapse all questions</p>
              </li>
              <li>
                <p>Questions created : {{finalQuestionsArr.length}} </p>
              </li>
              <li>
                <p>Marks : {{totalAssignmentWeight}}</p>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="qBlock">

        <div *ngIf="finalQuestionsArr.length>0">
        <div *ngFor="let questionObj of finalQuestionsArr ;let i = index">
          <div class="qCont typ1 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Text'">
            <div class="qBlockHolder">
              <div class="col60">
                <div class="qinfo">
                  <div class="qnpTitle">
                    <em class="dot"></em>
                    <span class="qNo">Question {{i+1}} </span>
                  </div>
                  <div class="qText">
                    <span class="dargIcon"></span>
                    <div class="inputCont">
                      <input type="text" [(ngModel)]="questionObj['textQuestionTitle'+[i]]" name="questionObj['textQuestionTitle'+[i]]">
                      <div class="mediaCont">
                        <ul>
                          <li>
                            <span class="Micon typ0"></span>
                          </li>
                          <li>
                            <span class="Micon typ1">
                              <input type="file" name="multiplefile" ng2FileSelect [uploader]="uploader" multiple />
                            </span>
                          </li>
                          <li>
                            <span class="Micon typ2"></span>
                          </li>
                          <li>
                            <span class="Micon typ3"></span>
                          </li>
                        </ul>
                      </div>
                    </div>
                    <div class="pBtn" >+</div>
                  </div>
                  <div class="optionCont">
                    <div class="textHolder">
                      <textarea type="text"
                                [(ngModel)]="questionObj['textQuestionDesp'+[i]]" name="questionObj['textQuestionDesp'+[i]]"></textarea>
                    </div>
                  </div>
                  <div class="btnCont">
                    <ul>
                      <li>
                        <div class="btnP  btnActive">
                          <p class="pluBox">Add to question bank</p>
                        </div>
                      </li>

                    </ul>
                  </div>
                </div>
              </div>
              <div class="col40">
                <div class="box">
                  <div class="weight">
                    <label>Enter weighting</label>
                    <input type="number"
                           [(ngModel)]="questionObj['textQuestionWeight'+[i]]" name="questionObj['textQuestionWeight'+[i]]">
                  </div>
                  <div class="dropDwonHolder">
                    <ul>
                      <li>
                        <div class="dropDown custmdropdwon">
                          <select class="btn-custm">
                            <option>level 7</option>
                            <option>level 7</option>
                          </select>
                        </div>
                      </li>
                      <li>
                        <div class="dropDown custmdropdwon">
                          <select class="btn-custm">
                            <option>10 Percentage</option>
                            <option>level 7</option>
                          </select>
                        </div>
                      </li>
                    </ul>
                  </div>
                  <div class="ctable">
                    <table>
                      <tr>
                        <td class="wit60">
                          <span class="icon active circle"data-toggle="modal" data-target="#addStanders" ></span>
                        </td>
                        <td  class="wit60">
                          <span class="icon award"></span>
                        </td>
                        <td>
                          <p class="textInfo">K12 - 6.1 Accounting</p>
                        </td>
                        <td  class="wit60">
                          <span class="icon hidden"></span>
                        </td>
                      </tr>
                      <tr>
                        <td class="wit60">
                          <span class="icon drag" (click)="fnCollapse(i)"></span>
                        </td>
                        <td  class="wit60">
                          <span class="icon file"></span>

                          <div class="notifi">
                            <em>3</em>
                          </div>                          </td>
                        <td>
                          <p class="textInfo alink">
                            www.link.com/resource
                          </p>
                        </td>
                        <td  class="wit60">
                          <span class="icon dele" (click)="deleteQuestion(questionObj)"></span>
                        </td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <div class="listView" >
              <ul>
                <li>
                  <div class="collapseList">
                    <span class="dargIcon"></span>
                    <div class="qstionCont">
                      <label>Question {{i+1}}</label>
                      <p>{{questionObj['textQuestionTitle'+[i]]}}</p>
                      <span class="tag">{{questionObj['questionType'+[i]]}}</span>
                    </div>
                    <div class="wieghtCont">
                      <label>Enter weighting</label>
                      <input type="text" [(ngModel)]="questionObj['textQuestionWeight'+[i]]" name="questionObj['textQuestionWeight'+[i]]" />
                    </div>
                    <div class="dropDwonCont">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="lagends">
                      <ul>
                        <li><span class="Licon circle active"></span></li>
                        <li><span class="Licon award"></span></li>
                        <li><span class="Licon file"></span>
                          <div class="notifi">
                            <em>3</em>
                          </div>
                        </li>
                        <li><span class="Licon dele" (click)="deleteQuestion(questionObj)"></span></li>
                        <li><span class="Licon drag" (click)="fnExpand(i)"></span></li>
                      </ul>
                    </div>
                  </div>
                </li>
              </ul>
            </div>

            <div class="divder">
              <div class="lineCont">
                <span class="line"></span>
                <div class="addBtn"  (click)="addToIntermediateArray(questionObj);fnCollapse(i)">Add question</div>
                <div class="optionPop " >
                  <ul>
                    <li>
                      <div class="divideIcon typ0"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ1"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ2 active"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ3"></div>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
          <div class="qCont typ0 demo1"  [attr.id]="i" *ngIf="questionObj['questionType'+[i]]==='Choice'">
            <div class="qBlockHolder">
              <div class="col60">
                <div class="qinfo">
                  <div class="qnpTitle">
                    <em class="dot"></em>
                    <span class="qNo">Question {{i+1}} </span>
                  </div>
                  <div class="qText">
                    <span class="dargIcon"></span>
                    <div class="inputCont">
                      <input type="text"
                             [(ngModel)]="questionObj['choiceTitle'+[i]]" name="questionObj['choiceTitle'+[i]" />
                    </div>
                    <div class="pBtn" >+</div>
                  </div>
                  <div class="optionCont">
                    <ul>

                      <li  *ngFor="let choiceObj of questionObj.choiceTypes let k = index ">
                        <div class="elementTxt" >
                          <div class="qText">
                            <span class="dargIcon" style="visibility: hidden"></span>
                            <div class="inputCont" style="padding: 5px 20px;">
                              <input type="text" [(ngModel)]="questionObj['choiceObj'+[k]]" name="questionObj['choiceObj'+[i]]">
                            </div>
                            <div class="pBtn" (click)="addToIntermediateArray()" style="visibility: hidden">+</div>
                          </div>
                        </div>
                        <span class="checkIcon "  style="top: 25px;" (click)="markChoiceAsAnswer(choiceObj)"></span>
                        <!-- <p>  {{formChoiceOutput[choiceObj.modelValue]}}</p>-->
                      </li>

                    </ul>
                  </div>
                  <div class="btnCont">
                    <ul>
                      <li>
                        <div class="btnP  btnActive">
                          <p class="pluBox" (click)="addMoreChoiceOption(questionObj,i)">Add more option</p>
                        </div>
                      </li>
                      <li>
                        <div class="btnP btnNonActive">
                          <p>+ Add to question bank</p>
                        </div>
                      </li>
                      <!--  <li>
                           <div class="btnP btn btnNonActive">
                              <p>View K-12 Standards</p>
                           </div>
                        </li>-->
                    </ul>
                  </div>
                </div>
              </div>
              <div class="col40">
                <div class="box">
                  <div class="weight">
                    <label>Enter weighting</label>
                    <input type="number" [(ngModel)]="questionObj['choiceQuestionWeight'+[i]]" name="questionObj['choiceQuestionWeight'+[i]]">
                  </div>
                  <div class="dropDwonHolder">
                    <ul>
                      <li>
                        <div class="dropDown custmdropdwon">
                          <select class="btn-custm">
                            <option>level 7</option>
                            <option>level 7</option>
                          </select>
                        </div>
                      </li>
                      <li>
                        <div class="dropDown custmdropdwon">
                          <select class="btn-custm">
                            <option>10 Percentage</option>
                            <option>level 7</option>
                          </select>
                        </div>
                      </li>
                    </ul>
                  </div>
                  <div class="ctable">
                    <table>
                      <tr>
                        <td class="wit60">
                          <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                        </td>
                        <td  class="wit60">
                          <span class="icon award"></span>
                        </td>
                        <td>
                          <p class="textInfo">K12 - 6.1 Accounting</p>
                        </td>
                        <td  class="wit60">
                          <span class="icon hidden"></span>
                        </td>
                      </tr>
                      <tr>
                        <td class="wit60">
                          <span class="icon drag" (click)="fnCollapse(i)"></span>
                        </td>
                        <td  class="wit60">
                          <span class="icon file"></span>

                          <div class="notifi">
                            <em>3</em>
                          </div>                          </td>
                        <td>
                          <p class="textInfo alink">
                            www.link.com/resource
                          </p>
                        </td>
                        <td  class="wit60">
                          <span class="icon dele" (click)="deleteQuestion(questionObj)"></span>
                        </td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <div class="listView" >
              <ul>
                <li>
                  <div class="collapseList">
                    <span class="dargIcon"></span>
                    <div class="qstionCont">
                      <label>Question{{i+1}}</label>
                      <p>{{questionObj['choiceTitle'+[i]]}}</p>
                      <span class="tag">{{questionObj['questionType'+[i]]}}</span>
                    </div>
                    <div class="wieghtCont">
                      <label>Enter weighting</label>
                      <input type="text" [(ngModel)]="questionObj['choiceQuestionWeight'+[i]]" name="questionObj['choiceQuestionWeight'+[i]]"/>
                    </div>
                    <div class="dropDwonCont">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="lagends">
                      <ul>
                        <li><span class="Licon circle active"></span></li>
                        <li><span class="Licon award"></span></li>
                        <li><span class="Licon file"></span>
                          <div class="notifi">
                            <em>3</em>
                          </div>
                        </li>
                        <li><span class="Licon dele" (click)="deleteQuestion(questionObj)"></span></li>
                        <li><span class="Licon drag" (click)="fnExpand(i)"></span></li>
                      </ul>
                    </div>
                  </div>
                </li>
              </ul>
            </div>

            <div class="divder">
              <div class="lineCont">
                <span class="line"></span>
                <div class="addBtn"  (click)="addToIntermediateArray(questionObj);fnCollapse(i)">Add question</div>
                <div class="optionPop" >
                  <ul>
                    <li>
                      <div class="divideIcon typ0"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ1"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ2 active"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ3"></div>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>

          <div class="qCont typ2 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Match'">
            <div class="qBlockHolder">
            <div class="col60">
              <div class="qinfo">
                <div class="qnpTitle">
                  <em class="dot"></em>
                  <span class="qNo">Question {{i+1}} </span>
                </div>
                <div class="qText">
                  <span class="dargIcon"></span>
                  <div class="inputCont">
                    <input type="text" [(ngModel)]="questionObj['matchMainQuestion'+[i]]"
                           name="questionObj['matchMainQuestion'+[i]" />
                    <div class="mediaCont">
                      <ul>
                        <li>
                          <span class="Micon typ0"></span>
                        </li>
                        <li>
                          <span class="Micon typ1"></span>
                        </li>
                        <li>
                          <span class="Micon typ2"></span>
                        </li>
                        <li>
                          <span class="Micon typ3"></span>
                        </li>
                      </ul>
                    </div>
                  </div>
                  <div class="pBtn">+</div>
                </div>
                <div class="optionCont">
                  <div class="dargDis">
                    <table>
                      <tr >
                        <td>
                          <label>Side a</label>
                        </td>
                        <td class="wit150">

                        </td>
                        <td>
                          <label>side B</label>
                        </td>
                      </tr>
                      <tr *ngFor="let matchObj of questionObj.matchOptionsList let b = index ">

                        <td class="dashed" *ngIf="matchObj.isMatchDistractor">
                          <span class="no">{{b+1}}</span>
                          <p class="textCOnt">
                            <input type="text"
                                   [(ngModel)]="questionObj[matchObj.leftquestion[b]]" name="questionObj[matchObj.leftquestion[b]]"/>
                          </p>
                        </td>
                        <td *ngIf="!matchObj.isMatchDistractor">
                          <span class="no">{{b+1}}</span>
                          <p class="textCOnt">
                            <input type="text"  [(ngModel)]="questionObj[matchObj.leftquestion[b]]" name="questionObj[matchObj.leftquestion[b]]" />
                          </p>
                        </td>
                        <td class="wit150" *ngIf="!matchObj.isMatchDistractor">
                          <div class="dashedlineCon">
                            <span class="dashLine"></span>
                          </div>
                        </td>
                        <td class="dashed" *ngIf="!matchObj.isMatchDistractor">
                          <span class="no">{{b+1}}</span>
                          <p class="textCOnt">
                            <input type="text"  [(ngModel)]="questionObj[matchObj.rightAnswer[b]]"
                                   name="questionObj[matchObj.rightAnswer[b]]" />
                          </p>
                        </td>


                      </tr>

                    </table>
                  </div>
                </div>
                <div class="btnCont">
                  <ul>
                    <li>
                      <div class="btnP  btnActive">
                        <p class="pluBox" (click)="addMoreMatchOption(questionObj,i)">Add more option</p>
                      </div>
                    </li>
                    <li>
                      <div class="btnP btnNonActive">
                        <p (click)="addMoreDistractorsOption(questionObj,i)">+ Add distractor</p>
                      </div>
                    </li>
                    <li>
                      <div class="btnP btnNonActive">
                        <p>Preview</p>
                      </div>
                    </li>
                    <li>
                      <div class="btnP btn btnNonActive">
                        <p>+ Add to question bank</p>
                      </div>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="col40">
              <div class="box">
                <div class="weight">
                  <label>Enter weighting</label>
                  <input type="number"
                         [(ngModel)]="questionObj['matchQuestionWeight'+[i]]" name="questionObj['matchQuestionWeight'+[i]]">
                </div>
                <div class="dropDwonHolder">
                  <ul>
                    <li>
                      <div class="dropDown custmdropdwon">
                        <select class="btn-custm">
                          <option>level 7</option>
                          <option>level 7</option>
                        </select>
                      </div>
                    </li>
                    <li>
                      <div class="dropDown custmdropdwon">
                        <select class="btn-custm">
                          <option>10 Percentage</option>
                          <option>level 7</option>
                        </select>
                      </div>
                    </li>
                  </ul>
                </div>
                <div class="ctable">
                  <table>
                    <tr>
                      <td class="wit60">
                        <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                      </td>
                      <td  class="wit60">
                        <span class="icon award"></span>
                      </td>
                      <td>
                        <p class="textInfo">K12 - 6.1 Accounting</p>
                      </td>
                      <td  class="wit60">
                        <span class="icon hidden"></span>
                      </td>
                    </tr>
                    <tr>
                      <td class="wit60">
                        <span class="icon drag" (click)="fnCollapse(i)"></span>
                      </td>
                      <td  class="wit60">
                        <span class="icon file"></span>

                        <div class="notifi">
                          <em>3</em>
                        </div>                          </td>
                      <td>
                        <p class="textInfo alink">
                          www.link.com/resource
                        </p>
                      </td>
                      <td  class="wit60">
                        <span class="icon dele" (click)="deleteQuestion(questionObj)"></span>
                      </td>
                    </tr>
                  </table>
                </div>
              </div>
            </div>
            </div>
            <div class="listView" >
              <ul>
                <li>
                  <div class="collapseList">
                    <span class="dargIcon"></span>
                    <div class="qstionCont">
                      <label>Question {{i+1}}</label>
                      <p>{{questionObj['matchMainQuestion'+[i]]}}</p>
                      <span class="tag">{{questionObj['questionType'+[i]]}}</span>
                    </div>
                    <div class="wieghtCont">
                      <label>Enter weighting</label>
                      <input type="text" [(ngModel)]="questionObj['matchQuestionWeight'+[i]]" name="questionObj['matchQuestionWeight'+[i]]"/>
                    </div>
                    <div class="dropDwonCont">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="lagends">
                      <ul>
                        <li><span class="Licon circle active"></span></li>
                        <li><span class="Licon award"></span></li>
                        <li><span class="Licon file"></span>
                          <div class="notifi">
                            <em>3</em>
                          </div>
                        </li>
                        <li><span class="Licon dele" (click)="deleteQuestion(questionObj)"></span></li>
                        <li><span class="Licon drag" (click)="fnExpand(i)"></span></li>
                      </ul>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
            <div class="divder">
              <div class="lineCont">
                <span class="line"></span>
                <div class="addBtn"  (click)="addToIntermediateArray();fnCollapse(i)">Add question</div>
                <div class="optionPop" >
                  <ul>
                    <li>
                      <div class="divideIcon typ0"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ1"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ2 active"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ3"></div>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
          <div class="qCont typ3 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Fill'">
            <div class="qBlockHolder">
              <div class="col60">
                <div class="qinfo">
                  <div class="qnpTitle">
                    <em class="dot"></em>
                    <span class="qNo">Question {{i+1}} </span>
                  </div>
                  <div class="qText">
                    <span class="dargIcon"></span>
                    <div class="inputCont">
                      <input type="text"
                             [(ngModel)]="questionObj['fillTitle'+[i]]" name="questionObj['fillTitle'+[i]]" />

                    </div>
                    <div class="pBtn" >+</div>
                  </div>
                  <div class="alert-msg">
                    <p>Words in double inverted commas “” in a statement will be marked as blank words. </p>
                  </div>
                  <div class="optionCont multi">
                    <ul class="mutiOp">
                      <li *ngFor="let fillObj of questionObj.fillOptionsList let p = index ">
                        <div class="qText">
                          <span class="dargIcon" style="visibility: hidden;"></span>
                          <div class="inputCont" style="padding: 5px 25px;">
                            <input type="text" [(ngModel)]="questionObj.fillOptionsList[fillObj]"
                                   name="questionObj.fillOptionsList[fillObj]"/>
                          </div>
                          <div class="pBtn" (click)="addToIntermediateArray()" style="visibility: hidden;">+</div>
                        </div>


                      </li>

                    </ul>
                  </div>
                  <div class="btnCont">
                    <ul>
                      <li>
                        <div class="btnP  btnActive">
                          <p class="pluBox" (click)="addMoreFillOption(questionObj,i)">Add more option</p>
                        </div>
                      </li>
                      <li>
                        <div class="btnP btnNonActive">
                          <p>+ Add to question bank</p>
                        </div>
                      </li>
                      <!--<li>
                         <div class="btnP btn btnNonActive">
                            <p>View K-12 Standards</p>
                         </div>
                      </li>-->
                    </ul>
                  </div>
                </div>
              </div>
              <div class="col40">
                <div class="box">
                  <div class="weight">
                    <label>Enter weighting</label>
                    <input type="number"  [(ngModel)]="questionObj['fillQuestionWeight'+[i]]" name="questionObj['fillQuestionWeight'+[i]]">
                  </div>
                  <div class="dropDwonHolder">
                    <ul>
                      <li>
                        <div class="dropDown custmdropdwon">
                          <select class="btn-custm">
                            <option>level 7</option>
                            <option>level 7</option>
                          </select>
                        </div>
                      </li>
                      <li>
                        <div class="dropDown custmdropdwon">
                          <select class="btn-custm">
                            <option>10 Percentage</option>
                            <option>level 7</option>
                          </select>
                        </div>
                      </li>
                    </ul>
                  </div>
                  <div class="ctable">
                    <table>
                      <tr>
                        <td class="wit60">
                          <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                        </td>
                        <td  class="wit60">
                          <span class="icon award active"></span>
                        </td>
                        <td>
                          <p class="textInfo">K12 - 6.1 Accounting</p>
                        </td>
                        <td  class="wit60">
                          <span class="icon hidden"></span>
                        </td>
                      </tr>
                      <tr>
                        <td class="wit60">
                          <span class="icon drag "  (click)="fnCollapse(i)"></span>
                        </td>
                        <td  class="wit60 PR">
                          <span class="icon file active"></span>
                          <div class="notifi">
                            <em>3</em>
                          </div>

                        </td>
                        <td>
                          <p class="textInfo alink">
                            www.link.com/resource
                          </p>
                        </td>
                        <td  class="wit60">
                          <span class="icon dele "
                                (click)="deleteQuestion(questionObj)"></span>
                        </td>
                      </tr>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <div class="listView" >
              <ul>
                <li>
                  <div class="collapseList">
                    <span class="dargIcon"></span>
                    <div class="qstionCont">
                      <label>Question {{i+1}} </label>
                      <p>{{questionObj['fillTitle'+[i]]}}</p>
                      <span class="tag">{{questionObj['questionType'+[i]]}}</span>
                    </div>
                    <div class="wieghtCont">
                      <label>Enter weighting</label>
                      <input type="text" [(ngModel)]="questionObj['fillQuestionWeight'+[i]]" name="questionObj['fillQuestionWeight'+[i]]"/>
                    </div>
                    <div class="dropDwonCont">
                      <ul>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>level 7</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                        <li>
                          <div class="dropDown custmdropdwon">
                            <select class="btn-custm">
                              <option>10 Percentage</option>
                              <option>level 7</option>
                            </select>
                          </div>
                        </li>
                      </ul>
                    </div>
                    <div class="lagends">
                      <ul>
                        <li><span class="Licon circle active"></span></li>
                        <li><span class="Licon award"></span></li>
                        <li><span class="Licon file"></span>
                          <div class="notifi">
                            <em>3</em>
                          </div>
                        </li>
                        <li><span class="Licon dele"
                                  (click)="deleteQuestion(questionObj)"></span></li>
                        <li><span class="Licon drag" (click)="fnExpand(i)"></span></li>
                      </ul>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
            <div class="divder">
              <div class="lineCont">
                <span class="line"></span>
                <div class="addBtn"  (click)="addToIntermediateArray(questionObj);fnCollapse(i)">Add question</div>
                <div class="optionPop" >
                  <ul>
                    <li>
                      <div class="divideIcon typ0"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ1"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ2 active"></div>
                    </li>
                    <li>
                      <div class="divideIcon typ3"></div>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
        </div>


        <div class="addQBlock">

          <label>Add Question</label>
          <ul>
            <li>
              <div class="addQbtn"  [ngClass]="{'btnActive':questionType === 'Choice'}" >
                <p (click)="showQuestionType('Choice')">Choice </p>
              </div>
            </li>
            <li>
              <div class="addQbtn" [ngClass]="{'btnActive':questionType === 'Text'}">
                <p (click)="showQuestionType('Text')" >Text </p>
              </div>
            </li>
            <li>
              <div class="addQbtn " [ngClass]="{'btnActive':questionType === 'Match'}">
                <p (click)="showQuestionType('Match')">Match</p>
              </div>
            </li>
            <li>
              <div class="addQbtn " [ngClass]="{'btnActive':questionType === 'Fill'}">
                <p (click)="showQuestionType('Fill')">Fill</p>
              </div>
            </li>
          </ul>
        </div>



      </div>
    </div>


  </div>
  <div class="nav">
    <div class="pull-right">
      <button class="btn btn-defult" (click)="naviagetToDashbord()">Back</button>
      <button class="btn btn-cyean"  [disabled]="finalQuestionsArr.length==0" (click)="submitAssignmetDetails()"
             >Next</button>
    </div>
  </div>
  <!--<app-targert-learning></app-targert-learning>-->

  <div id="addStanders" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Add Learning Targets</h4>
          <p class="subtitle">Select from Targets Database or Add New</p>
        </div>
        <div class="modal-body">

          <div class="textHolder">
            <div class="col-2">
              <p class="textModel">Question*</p>
            </div>
            <div class="col-8">
              <input type="text" placeholder="Explain Laws of Gravity">
            </div>
          </div>

          <div class="textHolder mrtb">
            <div class="col-2">
              <p class="textModel">Type*</p>
            </div>
            <div class="col-8">
              <button class="btn btnType btn-defult">text</button>
            </div>
          </div>


          <div class="textHolder">
            <div class="col-2">
              <p class="textModel clearfix">Standards</p>
            </div>
            <div class="col-8">
              <div class="searcTable">
                <table>
                  <tr>
                    <th colspan="2">
                      <div class="searchBar">
                        <input type="text" placeholder="Accounting">
                      </div>
                    </th>
                  </tr>
                  <tr>
                    <td>
                      <div class="textCont">
                        <p>6.1 The purpose of accounting</p>
                        <p>Understand and explain the difference between book-keeping and accounting</p>
                        <p>state the purposes of measuring business profit and loss</p>
                        <p>explain the role of accounting in providing information for monitoring progress and decision-making</p>
                      </div>
                      <div class="textCont">
                        <p> 6.2 Sources and recording of data 6.2.1 The double entry system of book-keeping</p>
                        <p>explain the meaning of assets, liabilities and owner’s equity</p>
                        <p> explain and apply the accounting equation</p>
                        <p> outline the double entry system of book-keeping</p>
                        <p> process accounting data using the double entry system</p>
                        <p> recognize the division of the ledger into the sales ledger, the purchases ledger and the nominal (general ledger).</p>
                      </div>
                    </td>
                    <td class="w50">

                      <label class="checkboxCusmt">
                        <input type="checkbox"  >
                        <span class="checkmark"></span>
                      </label>

                    </td>
                  </tr>
                  <tr>
                    <td>
                      <div class="textCont">
                        <p>6.1 The purpose of accounting</p>
                        <p>Understand and explain the difference between book-keeping and accounting</p>
                        <p>state the purposes of measuring business profit and loss</p>
                        <p>explain the role of accounting in providing information for monitoring progress and decision-making</p>
                      </div>
                      <div class="textCont">
                        <p> 6.2 Sources and recording of data 6.2.1 The double entry system of book-keeping</p>
                        <p>explain the meaning of assets, liabilities and owner’s equity</p>
                        <p> explain and apply the accounting equation</p>
                        <p> outline the double entry system of book-keeping</p>
                        <p> process accounting data using the double entry system</p>
                        <p> recognize the division of the ledger into the sales ledger, the purchases ledger and the nominal (general
                          ledger).</p>
                      </div>
                    </td>
                    <td class="w50">

                      <label class="checkboxCusmt">
                        <input type="checkbox"  >
                        <span class="checkmark"></span>
                      </label>

                    </td>
                  </tr>
                  <tr>
                    <td>
                      <div class="textCont">
                        <p>6.1 The purpose of accounting</p>
                        <p>Understand and explain the difference between book-keeping and accounting</p>
                        <p>state the purposes of measuring business profit and loss</p>
                        <p>explain the role of accounting in providing information for monitoring progress and decision-making</p>
                      </div>
                      <div class="textCont">
                        <p> 6.2 Sources and recording of data 6.2.1 The double entry system of book-keeping</p>
                        <p>explain the meaning of assets, liabilities and owner’s equity</p>
                        <p> explain and apply the accounting equation</p>
                        <p> outline the double entry system of book-keeping</p>
                        <p> process accounting data using the double entry system</p>
                        <p> recognize the division of the ledger into the sales ledger, the purchases ledger and the nominal (general
                          ledger).</p>
                      </div>
                    </td>
                    <td class="w50">

                      <label class="checkboxCusmt">
                        <input type="checkbox" >
                        <span class="checkmark"></span>
                      </label>

                    </td>
                  </tr>

                </table>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer text-center">
          <button type="button" class="btn btn-success" data-dismiss="modal">Save</button>
        </div>
      </div>

    </div>
  </div>
</div>


